diff --git a/TAGS b/TAGS
index 40e1640..c22cb0d 100644
--- a/TAGS
+++ b/TAGS
@@ -21,10 +2284,10 @@ impl<'g> Gen<'g> {Gen134,3547
     fn new(rules: &'g HashMap<String, (RuleType, Expr)>, seed: u64) -> Self {new135,3566
     fn pick(&mut self) -> u8 {pick142,3729
     fn try_override(&mut self, rule_name: &str, out: &mut String) -> bool {try_override147,3854
-    fn emit(&mut self, expr: &Expr, out: &mut String) {emit220,6422
-    fn generate(&mut self, rule_name: &str) -> Option<String> {generate290,9018
-fn print_rules(rules: &HashMap<String, (RuleType, Expr)>) {print_rules302,9400
-fn main() {main310,9593
+    fn emit(&mut self, expr: &Expr, out: &mut String) {emit220,6431
+    fn generate(&mut self, rule_name: &str) -> Option<String> {generate290,9021
+fn print_rules(rules: &HashMap<String, (RuleType, Expr)>) {print_rules302,9403
+fn main() {main310,9596
 
 examples/pretty-print.rs,23
 fn main() {main9,250
@@ -134,30 +2397,30 @@ pub struct GridWidget<'a> {GridWidget23,677
 impl<'a> GridWidget<'a> {GridWidget32,949
     pub fn new(new33,975
     fn render_grid(&self, area: Rect, buf: &mut Buffer) {render_grid51,1409
-impl<'a> Widget for GridWidget<'a> {GridWidget495,19504
-    fn render(self, area: Rect, buf: &mut Buffer) {render496,19541
-pub fn compute_col_widths(compute_col_widths536,20954
-pub fn compute_row_header_width(layout: &GridLayout) -> u16 {compute_row_header_width595,22937
-pub fn compute_visible_cols(compute_visible_cols623,23814
-fn truncate(s: &str, max_width: usize) -> String {truncate649,24444
-mod tests {tests672,25033
-    fn render(model: &mut Model, width: u16, height: u16) -> Buffer {render685,25604
-    fn buf_text(buf: &Buffer) -> String {buf_text702,26336
-    fn coord(pairs: &[(&str, &str)]) -> CellKey {coord717,26744
-    fn two_cat_model() -> Model {two_cat_model728,27079
-    fn column_headers_appear() {column_headers_appear752,27991
-    fn row_headers_appear() {row_headers_appear762,28477
-    fn cell_value_appears_in_correct_position() {cell_value_appears_in_correct_position772,28972
-    fn multiple_cell_values_all_appear() {multiple_cell_values_all_appear783,29328
-    fn unset_cells_show_no_value() {unset_cells_show_no_value804,30070
-    fn total_row_label_appears() {total_row_label_appears824,31022
-    fn total_row_sums_column_correctly() {total_row_sums_column_correctly831,31240
-    fn page_filter_bar_shows_category_and_selection() {page_filter_bar_shows_category_and_selection852,32016
-    fn page_filter_defaults_to_first_item() {page_filter_defaults_to_first_item876,32839
-    fn formula_cell_renders_computed_value() {formula_cell_renders_computed_value902,33812
-    fn two_row_categories_produce_cross_product_labels() {two_row_categories_produce_cross_product_labels934,35199
-    fn two_row_categories_include_all_coords_in_cell_lookup() {two_row_categories_include_all_coords_in_cell_lookup980,37011
-    fn two_column_categories_produce_cross_product_headers() {two_column_categories_produce_cross_product_headers1007,37984
+impl<'a> Widget for GridWidget<'a> {GridWidget495,19482
+    fn render(self, area: Rect, buf: &mut Buffer) {render496,19519
+pub fn compute_col_widths(compute_col_widths536,20932
+pub fn compute_row_header_width(layout: &GridLayout) -> u16 {compute_row_header_width595,22915
+pub fn compute_visible_cols(compute_visible_cols623,23792
+fn truncate(s: &str, max_width: usize) -> String {truncate649,24422
+mod tests {tests672,25011
+    fn render(model: &mut Model, width: u16, height: u16) -> Buffer {render685,25582
+    fn buf_text(buf: &Buffer) -> String {buf_text702,26314
+    fn coord(pairs: &[(&str, &str)]) -> CellKey {coord717,26722
+    fn two_cat_model() -> Model {two_cat_model728,27057
+    fn column_headers_appear() {column_headers_appear752,27969
+    fn row_headers_appear() {row_headers_appear762,28455
+    fn cell_value_appears_in_correct_position() {cell_value_appears_in_correct_position772,28950
+    fn multiple_cell_values_all_appear() {multiple_cell_values_all_appear783,29306
+    fn unset_cells_show_no_value() {unset_cells_show_no_value804,30048
+    fn total_row_label_appears() {total_row_label_appears824,31000
+    fn total_row_sums_column_correctly() {total_row_sums_column_correctly831,31218
+    fn page_filter_bar_shows_category_and_selection() {page_filter_bar_shows_category_and_selection852,31994
+    fn page_filter_defaults_to_first_item() {page_filter_defaults_to_first_item876,32817
+    fn formula_cell_renders_computed_value() {formula_cell_renders_computed_value902,33790
+    fn two_row_categories_produce_cross_product_labels() {two_row_categories_produce_cross_product_labels934,35177
+    fn two_row_categories_include_all_coords_in_cell_lookup() {two_row_categories_include_all_coords_in_cell_lookup980,36989
+    fn two_column_categories_produce_cross_product_headers() {two_column_categories_produce_cross_product_headers1007,37962
 
 src/ui/cat_tree.rs,1011
 pub enum CatTreeEntry {CatTreeEntry6,131
@@ -166,14 +2429,14 @@ pub enum CatTreeEntry {CatTreeEntry6,131
 impl CatTreeEntry {CatTreeEntry17,394
     pub fn cat_name(&self) -> &str {cat_name19,458
 pub fn build_cat_tree(model: &Model, expanded: &HashSet<String>) -> Vec<CatTreeEntry> {build_cat_tree28,713
-mod tests {tests53,1580
-    fn make_model_with_categories(cats: &[(&str, &[&str])]) -> Model {make_model_with_categories56,1611
-    fn empty_model_has_only_virtual_categories() {empty_model_has_only_virtual_categories69,1989
-    fn collapsed_category_shows_header_only() {collapsed_category_shows_header_only79,2372
-    fn expanded_category_shows_items() {expanded_category_shows_items95,2939
-    fn mixed_expanded_and_collapsed() {mixed_expanded_and_collapsed112,3662
-    fn cat_name_works_for_both_variants() {cat_name_works_for_both_variants134,4487
-    fn expanding_nonexistent_category_is_harmless() {expanding_nonexistent_category_is_harmless149,4923
+mod tests {tests52,1540
+    fn make_model_with_categories(cats: &[(&str, &[&str])]) -> Model {make_model_with_categories55,1571
+    fn empty_model_has_only_virtual_categories() {empty_model_has_only_virtual_categories68,1949
+    fn collapsed_category_shows_header_only() {collapsed_category_shows_header_only78,2332
+    fn expanded_category_shows_items() {expanded_category_shows_items94,2899
+    fn mixed_expanded_and_collapsed() {mixed_expanded_and_collapsed111,3622
+    fn cat_name_works_for_both_variants() {cat_name_works_for_both_variants133,4447
+    fn expanding_nonexistent_category_is_harmless() {expanding_nonexistent_category_is_harmless148,4883
 
 src/ui/import_wizard_ui.rs,433
 pub struct ImportWizardWidget<'a> {ImportWizardWidget11,253
